path: /build/build/jaraco-functools-dev-python-4.0.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/jaraco-functools -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/jaraco-functools
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/jaraco-functools && luet-portage --dir
    /pkgdir/jaraco-functools dev-python/jaraco-functools && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:7bd0222fe4b5ee6d83a2a70c6afe02f06102244c931dadccdc29d7827613b7df
  package:
    name: jaraco-functools
    version: 4.0.0
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: namespace-jaraco
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Additional functions used by other projects by developer jaraco
    uri:
    - https://github.com/jaraco/jaraco.functools https://pypi.org/project/jaraco.functools/
    license: MIT
    buildtimestamp: 2024-02-18 18:28:06.996011218 +0000 UTC m=+303.201703092
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/more-itertools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/namespace-jaraco[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: dev-python/more-itertools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/namespace-jaraco[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/jaraco-functools
      kit: geaaru-kit
      original.package.name: dev-python/jaraco-functools
      original.package.slot: "0"
      original.package.version: 4.0.0
    treedir: /build/packages
  package_dir: /pkgdir/jaraco-functools
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 191c7448fd04c0c08f6ce7ea795d9bd76d339087e1d0bba7e5fc858386cea42e
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/jaraco/functools/__init__.py
- usr/lib/python3.9/site-packages/jaraco/functools/__init__.pyi
- usr/lib/python3.9/site-packages/jaraco/functools/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jaraco/functools/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jaraco/functools/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/jaraco/functools/py.typed
- usr/lib/python3.9/site-packages/jaraco.functools-4.0.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/jaraco.functools-4.0.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/jaraco.functools-4.0.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/jaraco.functools-4.0.0.dist-info/top_level.txt
- usr/share/doc/jaraco-functools-4.0.0/README.rst.bz2
- var/db/pkg/dev-python/jaraco-functools-4.0.0/BDEPEND
- var/db/pkg/dev-python/jaraco-functools-4.0.0/BUILD_TIME
- var/db/pkg/dev-python/jaraco-functools-4.0.0/CATEGORY
- var/db/pkg/dev-python/jaraco-functools-4.0.0/CBUILD
- var/db/pkg/dev-python/jaraco-functools-4.0.0/CFLAGS
- var/db/pkg/dev-python/jaraco-functools-4.0.0/CHOST
- var/db/pkg/dev-python/jaraco-functools-4.0.0/CONTENTS
- var/db/pkg/dev-python/jaraco-functools-4.0.0/COUNTER
- var/db/pkg/dev-python/jaraco-functools-4.0.0/CXXFLAGS
- var/db/pkg/dev-python/jaraco-functools-4.0.0/DEFINED_PHASES
- var/db/pkg/dev-python/jaraco-functools-4.0.0/DEPEND
- var/db/pkg/dev-python/jaraco-functools-4.0.0/DESCRIPTION
- var/db/pkg/dev-python/jaraco-functools-4.0.0/EAPI
- var/db/pkg/dev-python/jaraco-functools-4.0.0/FEATURES
- var/db/pkg/dev-python/jaraco-functools-4.0.0/HOMEPAGE
- var/db/pkg/dev-python/jaraco-functools-4.0.0/INHERITED
- var/db/pkg/dev-python/jaraco-functools-4.0.0/IUSE
- var/db/pkg/dev-python/jaraco-functools-4.0.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/jaraco-functools-4.0.0/KEYWORDS
- var/db/pkg/dev-python/jaraco-functools-4.0.0/LDFLAGS
- var/db/pkg/dev-python/jaraco-functools-4.0.0/LICENSE
- var/db/pkg/dev-python/jaraco-functools-4.0.0/PF
- var/db/pkg/dev-python/jaraco-functools-4.0.0/RDEPEND
- var/db/pkg/dev-python/jaraco-functools-4.0.0/SIZE
- var/db/pkg/dev-python/jaraco-functools-4.0.0/SLOT
- var/db/pkg/dev-python/jaraco-functools-4.0.0/USE
- var/db/pkg/dev-python/jaraco-functools-4.0.0/environment.bz2
- var/db/pkg/dev-python/jaraco-functools-4.0.0/jaraco-functools-4.0.0.ebuild
- var/db/pkg/dev-python/jaraco-functools-4.0.0/repository
package_cacheimage: ""
runtime:
  name: jaraco-functools
  version: 4.0.0
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: more-itertools
    version: '>=0'
    category: dev-python
  - name: namespace-jaraco
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Additional functions used by other projects by developer jaraco
  uri:
  - https://github.com/jaraco/jaraco.functools https://pypi.org/project/jaraco.functools/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/more-itertools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/namespace-jaraco[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: dev-python/more-itertools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/namespace-jaraco[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/jaraco-functools
    kit: geaaru-kit
    original.package.name: dev-python/jaraco-functools
    original.package.slot: "0"
    original.package.version: 4.0.0
